﻿#include <QApplication>
#include <QLocale>
#include <stdio.h>

#include "mainwindow.h"

int main(int argc, char *argv[]){
    QApplication a(argc, argv);

    // to force point delimiter in all application the setlocale command has to
    // be called right after initializing the application, which itself resets
    // the application locales to most propably the system locals. Otherwise
    // comma might become the standard decimal delimiter causing problems with
    // usage of function parser (where comma has different meaning, e.g. if(,,)
    // and the fprintf
    setlocale(LC_NUMERIC,"C");

    MainWindow w(0,argc,argv);
    w.show();
    return a.exec();
}
