﻿#ifndef MEMDIALOG_H
#define MEMDIALOG_H

#include "Moesscalc.h"
#include <QDialog>
#include <QLineEdit>
#include <QComboBox>
#include <QCheckBox>
#include <QMessageBox>


class MEMDialog : public QDialog
{
    Q_OBJECT
public:
    MEMDialog(QWidget *parent,int keep_Pdata,
              MEMParameters *MP);
    MEMDialog(QWidget *parent, fitpara* p,
              MEMParameters *MP);
    MEMDialog(QWidget *parent, int *index);
private:
    MEMParameters *MP;
    QLineEdit** min;
    QLineEdit** max;
    QLineEdit** steps;
    QLineEdit* iterations, *stepsize, *maxdiff, *maxlambda;
    QComboBox *CB;
    QCheckBox *integrateCheckBox;
    int* index, clearbins;

signals:
    
public slots:
    void accept_Paramindex();
    void calc();
    void cancel();
    
};

#endif // MEMDIALOG_H
