
#include <stdio.h>
#include <stdlib.h>

class DataTif{
public:
    DataTif(char** files, int filecount, char* newfilename,
            bool shellused, double shelltabing,
            double coreshell, double shellbrightness);
	DataTif(char* newfilename);
    DataTif(unsigned char*** data, int lines, int columns, int csheet,
            char* dest);
	~DataTif();
private:
    double cs;							// upper core shell value
    double ss;							// shell spacing value
	double shellI;						//Maximale Schalenhelligkeit
	int	useshell;
	void colorgradient(double x,double xmin,double xmax,unsigned char* R, 
					   unsigned char* G,unsigned char* B);
	unsigned int header(FILE* f);
	unsigned int IFD(FILE* f, unsigned int co, int width, int height,
					 short furtherIFD);
};
