﻿#include <stdio.h>
#include <stdlib.h>
#include <cmath>

/*Array-Handling*/
void alloc_array(double*** array, int dim1, int dim2);
double** alloc_array(int dim1, int dim2);
int** alloc_iarray(int dim1, int dim2);
void alloc_array(double*** array, int dim1, int* dim2);
double** alloc_array(int dim1, int* dim2);
void free_array(double*** array, int dim1);
void scale(double* array, int dim, double factor);
void init_array(double** array, int dim1, int dim2, double value);
void init_array(double* array, int dim, double value);
void init_array(int* array, int dim, int value);
double max_array(double* array, int dim);
double min_array(double* array, int dim);
void sum(double a, double* x, double* b, double* y, int cpara);
double sum(double* array, int dim);
void clone(double** dest, double* src, int dim);
void copy(double* dest, double* src, int dim);
void sort(double* data,int s, int e);
void sort(double** data,int s, int e);
double norm(double* array, int dim);
void normalize(double* array, int dim);
double mean(double* d, int istart, int iend);
long double coth(double x);

