#ifndef RUNLOG_MERGE_H
#define RUNLOG_MERGE_H

#include <QString>
#include <QDir>
#include <stdio.h>
#include <QDateTime>

class runlog_entry{
    public:
        runlog_entry(QDateTime D, double He, double LN);
        ~runlog_entry();
        bool operator==(runlog_entry o);        //!< to compare Obj with each other
        bool operator<(const runlog_entry o2)const;
        QDateTime D;
        double He;
        double LN;
};

class runlog_merge{
public:
    runlog_merge(QString path);
    void search_runlog(QString path);
    void add(QString path);
    void save(QString path);

    QList<runlog_entry> l;


};

#endif // RUNLOG_MERGE_H
